Public Member Functions

# wxPGValidationInfo Class Reference

`#include <wx/propgrid/propgrid.h>`

## Detailed Description

wxPGValidationInfo

Used to convey validation information to and from functions that actually perform validation. Mostly used in custom property classes.

## Public Member Functions
wxPGVFBFlags | GetFailureBehavior ()
const wxString & | GetFailureMessage () const
| Returns current failure message.
wxVariant & | GetValue ()
| Returns reference to pending value.
void | SetFailureBehavior (wxPGVFBFlags failureBehavior)
| Set validation failure behaviour.
void | SetFailureMessage (const wxString &message)
| Set current failure message.

List of all members.

## Member Function Documentation

wxPGVFBFlags wxPGValidationInfo::GetFailureBehavior | ( |  | ) |

Returns:
  Returns failure behaviour which is a combination of wxPropertyGrid Validation Failure behaviour Flags.

const wxString& wxPGValidationInfo::GetFailureMessage | ( |  | ) | const

Returns current failure message.

wxVariant& wxPGValidationInfo::GetValue | ( |  | ) |

Returns reference to pending value.

void wxPGValidationInfo::SetFailureBehavior | ( | wxPGVFBFlags | failureBehavior | ) |

Set validation failure behaviour.

Parameters:

  | failureBehavior | Mixture of wxPropertyGrid Validation Failure behaviour Flags.

void wxPGValidationInfo::SetFailureMessage | ( | const wxString & | message | ) |

Set current failure message.

|  | [ top ]